QGIS Application - Bug report #18463
Impossible to change value when a range double spinbox is used and allow null value
2018-03-16 03:07 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 26351
Description

Create a point temporary layer and in its layer properties dialog add a new integer field

OK

Reopen the dialog in Attribute Forms tab

The created field is set as a "Range" editable allowing null value.

In the map canvas add a feature and try to set a value in the field: here, the Up and down arrow do not change anything (NULL is diplayed
in the field) and if | manually type in a numeric value, it's cleared and replaced by NULL as soona s | leave the field.

This happens in the form and the attribute table.

| just got it worked when | unchecked the "Allow NULL values" option.

Btw checking the "Allow NULL values" when there are already data set the values to NULL in the field.

History

#1 - 2018-03-16 08:16 PM - Nyall Dawson
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Already fixed in master/3.0.1

#2 - 2018-03-16 11:04 PM - Harrissou Santanna

That's weird because i used the latest osgeo4w nightly build (unless the fix is really recent)

#3 - 2018-06-19 07:04 PM - Harrissou Santanna
- Resolution deleted (fixed/implemented)
- Status changed from Closed to Reopened

Reopening because as mentioned the issue is still there (commit:4fb9091e6e).

#4 - 2018-09-08 09:17 AM - Harrissou Santanna
- Affected QGIS version changed from 3.1(master) to 3.3(master)
Still present and really annoying (particularly for users that don't check the attribute forms tab)

#5 - 2018-11-08 01:31 PM - Giovanni Manghi
- Status changed from Reopened to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
